﻿@model BookItemViewModel
@{
    ViewData["Title"] = "Create";
}
<br />
<br />
<br />
<h1>Add Copy of</h1>

<h4>Book</h4>
<hr />
<div class="row">
    
    <div class="col-md-4">
        <form asp-controller="BookItems" asp-action="Creates" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="RackNumber" class="control-label"></label>
                <input asp-for="RackNumber" class="form-control" />
                <span asp-validation-for="RackNumber" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="BookId" class="control-label"></label>
                <input asp-for="BookId" class="form-control" asp-route-id="@Model.BookId" />
                <span asp-validation-for="BookId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Creates" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
